Subject: Re: [PATCH] net: phy: ensure that phy IDs are correctly typed

From: Russell King - ARM Linux admin <[email-masked]>
Date: Thu, 19 Dec 2019 22:40:48 +0000

On Thu, Dec 19, 2019 at 10:01:00PM +0100, Andrew Lunn wrote:
> On Thu, Dec 19, 2019 at 10:20:48AM +0000, Russell King wrote:
> > PHY IDs are 32-bit unsigned quantities. Ensure that they are always
> > treated as such, and not passed around as "int"s.
> 
> Hi Russell
> 
> Do we want to fix all cases?
> 
> struct phy_device *phy_device_create(struct mii_bus *bus, int addr, int phy_id,

There's also the format specifier in phydev_err() - we already have
one instance where we case the u32 to unsigned long in order to get
a consistent type that is large enough to print without any issues.

Revised patch on its way.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTC broadband for 0.8mile line in suburbia: sync at 12.1Mbps down 622kbps up
According to speedtest.net: 11.9Mbps down 500kbps up